# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="A Discord and Fosscord client implemented directly without Discord API."

HOMEPAGE="https://github.com/SpacingBat3/WebCord"
SRC_URI="https://github.com/SpacingBat3/WebCord/releases/download/v${PV}/WebCord-${PV}-x64.AppImage"

LICENSE="MIT"

SLOT="0"

KEYWORDS="~amd64"

src_unpack() {
	mkdir "${S}" || die
	cp "${DISTDIR}/${A}" $"{S}" || die
}

src_prepare() {
	chmod +x ${A}
	./${A} --appimage-extract || die "Extraction Failed"

	default

	# Edit files to reflect naming.
	sed -i -e "s/lib\/webcord/lib\/${PN}/" "squashfs-root/usr/bin/webcord" || die "Sed failed!"
	sed -i -e "s/webcord/${PN}/"           "squashfs-root/WebCord.desktop" || die "Sed failed!"
	sed -i -e "s/\.\/${PN}.png/${PN}/"     "squashfs-root/WebCord.desktop" || die "Sed failed!"

	mv "squashfs-root/usr/lib/webcord" "squashfs-root/usr/lib/${PN}" || die
	# Move executable out to be installed as executable later.
	mv "squashfs-root/usr/lib/${PN}/webcord" ./ || die
}

src_install() {
	exeinto "/usr/bin"
	newexe "squashfs-root/usr/bin/webcord" "${PN}"

	insinto "/usr/lib"
	doins -r "squashfs-root/usr/lib/${PN}"

	exeinto "/usr/lib/${PN}"
	doexe "webcord"

	insinto "/usr/share/applications"
	newins "squashfs-root/WebCord.desktop" "${PN}.desktop"

	insinto "/usr/share/pixmaps"
	newins "squashfs-root/webcord.png" "${PN}.png"
}
